bitel.billing.server.npay.bean

## Class ModuleAmount

- java.lang.Object
- - bitel.billing.server.npay.bean.ModuleAmount

- All Implemented Interfaces:
    ListItem
  Direct Known Subclasses:
    DialUpModuleAmount, IPNModuleAmount, PhoneModuleAmount, VoipModuleAmount

      public abstract class ModuleAmount
      extends java.lang.Object
      implements ListItem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mid`
    `protected java.lang.String` | `sids`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleAmount()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `getDayAmount(java.sql.Connection con, int cid, java.util.Calendar day)`
    `int` | `getId()`
    `int` | `getMid()`
    `abstract long` | `getPeriodAmount(java.sql.Connection con, int cid, java.util.Calendar from, java.util.Calendar to)`
    `java.lang.String` | `getSids()`
    `java.lang.String` | `getTitle()`
    `void` | `setId(int id)`
    `void` | `setMid(int mid)`
    `void` | `setSids(java.lang.String sids)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### sids

          protected java.lang.String sids

  - ### Constructor Detail

    - #### ModuleAmount

          public ModuleAmount()

  - ### Method Detail

    - #### getSids

          public java.lang.String getSids()

    - #### setSids

          public void setSids(java.lang.String sids)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getMid

          public int getMid()

    - #### setMid

          public void setMid(int mid)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getDayAmount

          public abstract long getDayAmount(java.sql.Connection con,
                                            int cid,
                                            java.util.Calendar day)

    - #### getPeriodAmount

          public abstract long getPeriodAmount(java.sql.Connection con,
                                               int cid,
                                               java.util.Calendar from,
                                               java.util.Calendar to)